%define	upstream_name	 Net-DNS-SEC
%define upstream_version 1.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    DNSSEC support for Net::DNS perl module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Crypt::OpenSSL::Bignum) >= 0.30.0
BuildRequires: perl(Crypt::OpenSSL::DSA) >= 0.100.0
BuildRequires: perl(Crypt::OpenSSL::RSA) >= 0.190.0
BuildRequires: perl(Digest::BubbleBabble) >= 0.10.0
BuildRequires: perl(Digest::SHA) >= 5.230.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(MIME::Base32)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Math::BigInt)
BuildRequires: perl(Net::DNS) >= 0.640.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Time::Local)
BuildArch:  noarch

%description
This perl modules implements DNSSEC extensions as described in
rfc 2535, 2931. With it, you can use DS, SIG, KEY and NXT record.

It extends perl-Net-DNS to manipulate these records.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm -f t/14-misc.t
chmod 755 demo/{key2ds,make-signed-keyset}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README demo
%{perl_vendorlib}/Net
%{_mandir}/man?/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.20.0-3.mga6
+ Revision: 1031065
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.20.0-2.mga6
+ Revision: 970020
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 1.20.0-1.mga6
+ Revision: 884731
- update to 1.02

* Wed Aug 05 2015 sander85 <sander85> 1.10.0-1.mga6
+ Revision: 861369
- update to 1.01

* Mon Jun 29 2015 sander85 <sander85> 0.220.0-1.mga6
+ Revision: 848198
- update to 0.22

* Wed Oct 15 2014 umeabot <umeabot> 0.200.0-3.mga5
+ Revision: 750241
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.200.0-2.mga5
+ Revision: 685642
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 0.200.0-1.mga5
+ Revision: 664025
- update to 0.20

* Fri Jun 06 2014 sander85 <sander85> 0.190.0-1.mga5
+ Revision: 634230
- update to 0.19

* Mon May 19 2014 sander85 <sander85> 0.180.0-1.mga5
+ Revision: 623902
- update to 0.18

* Sun Jan 05 2014 pterjan <pterjan> 0.170.0-1.mga4
+ Revision: 564899
- Update to 0.17 fixing various bugs (now builds fine) + update spec with magpie

* Fri Oct 18 2013 umeabot <umeabot> 0.160.0-3.mga4
+ Revision: 513423
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 370558
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 33991
- mageia rebuild
- imported package perl-Net-DNS-SEC

